package keeper

import (
	"context"

	"cosmos-test/x/cosmostest/types"
	sdk "github.com/cosmos/cosmos-sdk/types"
)

func (k msgServer) NewBid(goCtx context.Context, msg *types.MsgNewBid) (*types.MsgNewBidResponse, error) {
	ctx := sdk.UnwrapSDKContext(goCtx)

	// TODO: Handling the message
	_ = ctx

	return &types.MsgNewBidResponse{}, nil
}
